Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.uricontent
Interface URIContentListener

All Known Implementing Classes:
  URIContentListenerImpl

public interface URIContentListener

The JRex URIContentListener interface, This listener can be added to listen to any uri related events.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `JRexCanvas.addURIContentListener(org.mozilla.jrex.event.uricontent.URIContentListener)`

Method Summary
`URIContentEventRV` | `canHandleContent(URIContentEvent event)` When given a uri to dispatch, if the URI is not specified as 'preferred content' then the uri loader calls canHandleContent to see if the content listener is capable of handling the content.
`URIContentEventRV` | `doContent(URIContentEvent event)` Notifies the content listener to hook up an StreamListener capable of consuming the data stream.
`URIContentEventRV` | `isContentPreferred(URIContentEvent event)` Gives the content listener to say whether the content type for load is 'preferred content'
`boolean` | `onStartContent(URIContentEvent event)` Gives the content listener first crack at stopping a load before it happens.

Method Detail

### onStartContent

    public boolean onStartContent(URIContentEvent event)

  Gives the content listener first crack at stopping a load before it happens.

  Returns:
    `false` if the load can continue; `true` if the load should be aborted.
  See Also:
    `URIContentEvent`

### doContent

    public URIContentEventRV doContent(URIContentEvent event)

  Notifies the content listener to hook up an StreamListener capable of consuming the data stream.

  See Also:
    `URIContentEvent`, `DoContentEventParam`, `URIContentEventRV`

### isContentPreferred

    public URIContentEventRV isContentPreferred(URIContentEvent event)

  Gives the content listener to say whether the content type for load is 'preferred content'

  See Also:
    `canHandleContent(URIContentEvent)`, `URIContentEvent`, `URIContentEventRV`

### canHandleContent

    public URIContentEventRV canHandleContent(URIContentEvent event)

  When given a uri to dispatch, if the URI is not specified as 'preferred content' then the uri loader calls canHandleContent to see if the content listener is capable of handling the content.

  See Also:
    `URIContentEvent`, `URIContentEventRV`, `CanHandleEventParam`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.